AMD fglrx video driver

1002:6740 Unity does not load after installing fglrx-installer-updates Radeon HD 6700M Series w/ 8086:0116 Intel Integrated Card

Reported by Pubudu Kodikara on 2012-10-19
634
This bug affects 126 people
Affects Status Importance Assigned to Milestone
fglrx
Confirmed
High
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned

Bug Description

I have a laptop with ATI Radeon 6770M HD Hybrid graphics card. In Ubuntu 12.04, I installed the fglrx driver through "additional drivers" and it worked. (I can even switch GPUs). But in the new Ubuntu 12.10, after installing, Unity won't load.

Only the mouse and the wallpaper. If I initialize the settings sudo aticonfig --initial then after rebooting it gives a warning saying I'm in low graphics mode! How to fix this?

Even tried the drivers from AMD website (both the old 8.* and the new 9.* drivers)

Earlier i used software source to install the drivers. But when using the terminal, I got this warning :

- update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken

This PPA does not allow fglrx to work for me https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal

Full installation log :
- pubudu@lap1:~$ sudo apt-get install fglrx-updates
[sudo] password for pubudu:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
fglrx-amdcccle-updates
The following NEW packages will be installed:
fglrx-amdcccle-updates fglrx-updates
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 85.1 MB of archives.
After this operation, 254 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://lk.archive.ubuntu.com/ubuntu/ quantal/restricted fglrx-updates amd64 2:9.000-0ubuntu3 [79.4 MB]
Get:2 http://lk.archive.ubuntu.com/ubuntu/ quantal/restricted fglrx-amdcccle-updates amd64 2:9.000-0ubuntu3 [5,747 kB]
Fetched 85.1 MB in 16min 38s (85.3 kB/s)
Selecting previously unselected package fglrx-updates.
(Reading database ... 159905 files and directories currently installed.)
Unpacking fglrx-updates (from .../fglrx-updates_2%3a9.000-0ubuntu3_amd64.deb) ...
Selecting previously unselected package fglrx-amdcccle-updates.
Unpacking fglrx-amdcccle-updates (from .../fglrx-amdcccle-updates_2%3a9.000-0ubuntu3_amd64.deb) ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up fglrx-updates (2:9.000-0ubuntu3) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode
update-initramfs: deferring update (trigger activated)
Loading new fglrx-updates-9.000 DKMS files...
First Installation: checking all kernels...
Building only for 3.5.0-17-generic
Building for architecture x86_64
Building initial module for 3.5.0-17-generic
Done.

fglrx_updates:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/3.5.0-17-generic/updates/dkms/

depmod.......

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahead ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Setting up fglrx-amdcccle-updates (2:9.000-0ubuntu3) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.5.0-17-generic
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
---
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
DistroCodename: quantal
DistroRelease: Ubuntu 12.10
DistroVariant: ubuntu
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
NonfreeKernelModules: fglrx wl
Package: fglrx-installer (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Tags: quantal ubuntu
Uname: Linux 3.5.0-17-generic x86_64
UnreportableReason: Please work this issue through technical support channels first.
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:
---
ApportVersion: 2.6.1-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pubudu 2001 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
CurrentDmesg:
 [ 14.846050] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
 [ 216.072884] show_signal_msg: 39 callbacks suppressed
 [ 216.072889] ubuntu-webapps-[2272]: segfault at 0 ip 00000000004027b0 sp 00007fff86d2d980 error 4 in ubuntu-webapps-update-index[400000+4000]
DistroRelease: Ubuntu 12.10
HibernationDevice: RESUME=UUID=c7ed7f95-e273-4617-8ff2-58ff9be37bc1
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: Hewlett-Packard HP Pavilion dv6 Notebook PC
NonfreeKernelModules: wl fglrx
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=54a57d36-d69b-4bf7-87cb-96c1d0031c0f ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory /home/pubudu not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-17-generic N/A
 linux-backports-modules-3.5.0-17-generic N/A
 linux-firmware 1.95
StagingDrivers: rts_pstor
Tags: quantal staging
Uname: Linux 3.5.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 10/05/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.1B
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 1657
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 10.31
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.1B:bd10/05/2011:svnHewlett-Packard:pnHPPaviliondv6NotebookPC:pvr0595100000244710000020100:rvnHewlett-Packard:rn1657:rvr10.31:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion dv6 Notebook PC
dmi.product.version: 0595100000244710000020100
dmi.sys.vendor: Hewlett-Packard

User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:15.0) Gecko/20100101 Firefox/15.0

I have an switchable graphic system with AMD and Intel cards.
Everything worked fine until ad update of the Intel Video driver, that cause the segmentation fault in X.
The old driver before that update was xf86-video-driver-2.20.0, the updated driver provided by the Update repo is 2.20.3

Reproducible: Always

Steps to Reproduce:
1.Update system normaly from repo-udate
2.install openSUSE-2012-559 update
3.reboot system
Actual Results:
System start in console mode, X segmentation fault

Downgrade the driver using zypper in -f xf86-video-intel-2.20.0-1.5.1 fix the problem.

*** Bug 780581 has been marked as a duplicate of this bug. ***

no longer affects: apport (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Incomplete
Pubudu Kodikara (pubudu-th) wrote :

@Christopher M sorry for the incomplete report. This is my first time. I just ran the command and sent the details.

tags: added: apport-collected ubuntu
description: updated
tags: added: regression-release

Pubudu Kodikara, thank you for performing the requested apport-collect.

Regarding your bug description:
>"Even tried the drivers from AMD website (both the old 8.* and the new 9.* drivers)"

Which drivers did you test specifically, the ones from http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx or http://support.amd.com/us/gpudownload/linux/previous/Pages/radeon_linux.aspx ? Both?

Pubudu Kodikara (pubudu-th) wrote :

From the page http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx. The 12.8 and the 12.9 beta drivers.

Today I did a clean install and then installed "linux-source" and "linux-headers-generic" before installing "fglrx-updates" (according to a recommendation made by an ubuntu forum user (http://ubuntuforums.org/showpost.php?p=12305917&postcount=11)). It also gave the same results. The app port data were collected after this. But today I didn't got the warning "update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken"

Pubudu Kodikara, thank you for noting which upstream drivers you tested already. Regarding your comments https://bugs.launchpad.net/fglrx/+bug/1068661/comments/5 :
>"Today I did a clean install and then installed "linux-source" and "linux-headers-generic" before installing "fglrx-updates" (according to a recommendation made by an ubuntu forum user (http://ubuntuforums.org/showpost.php?p=12305917&postcount=11)). It also gave the same results. The app port data were collected after this. But today I didn't got the warning "update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken""

Could you please post the new install log that does not have the warning?

As well, as a potential WORKAROUND, does any of previous upstream drivers work for you from http://support.amd.com/us/gpudownload/linux/previous/Pages/radeon_linux.aspx ?

summary: - Can't install ATI AMD proprietary drivers in Ubuntu 12.10
+ Unity does not load after installing fglrx-installer

Small problem, how can I get the installation log now?

Pubudu Kodikara, uninstall fglrx-installer, and fglrx-updates, and then reinstall the package.

Pubudu Kodikara (pubudu-th) wrote :
Download full text (3.5 KiB)

Re-installed and the warning is back! I think it comes if we re-install the drivers... Here's the log :

pubudu@lap1:~$ sudo apt-get install fglrx-updates
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  fglrx-amdcccle-updates lib32gcc1 libc6-i386
The following NEW packages will be installed:
  fglrx-amdcccle-updates fglrx-updates lib32gcc1 libc6-i386
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 89.2 MB of archives.
After this operation, 264 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://lk.archive.ubuntu.com/ubuntu/ quantal/main libc6-i386 amd64 2.15-0ubuntu20 [3,994 kB]
Get:2 http://lk.archive.ubuntu.com/ubuntu/ quantal/main lib32gcc1 amd64 1:4.7.2-2ubuntu1 [53.3 kB]
Get:3 http://lk.archive.ubuntu.com/ubuntu/ quantal/restricted fglrx-updates amd64 2:9.000-0ubuntu3 [79.4 MB]
Get:4 http://lk.archive.ubuntu.com/ubuntu/ quantal/restricted fglrx-amdcccle-updates amd64 2:9.000-0ubuntu3 [5,747 kB]
Fetched 89.2 MB in 12min 36s (118 kB/s)
Selecting previously unselected package libc6-i386.
(Reading database ... 153125 files and directories currently installed.)
Unpacking libc6-i386 (from .../libc6-i386_2.15-0ubuntu20_amd64.deb) ...
Selecting previously unselected package lib32gcc1.
Unpacking lib32gcc1 (from .../lib32gcc1_1%3a4.7.2-2ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-updates.
Unpacking fglrx-updates (from .../fglrx-updates_2%3a9.000-0ubuntu3_amd64.deb) ...
Selecting previously unselected package fglrx-amdcccle-updates.
Unpacking fglrx-amdcccle-updates (from .../fglrx-amdcccle-updates_2%3a9.000-0ubuntu3_amd64.deb) ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Setting up libc6-i386 (2.15-0ubuntu20) ...
Setting up lib32gcc1 (1:4.7.2-2ubuntu1) ...
Setting up fglrx-updates (2:9.000-0ubuntu3) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode
update-initramfs: deferring update (trigger activated)
Loading new fglrx-updates-9.000 DKMS files...
First Installation: checking all kernels...
Building only for 3.5.0-17-generic
Building for architecture x86_64
Building initial module for 3.5.0-17-generic
Done.

fglrx_updates:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.5.0-17-generic/updates/dkms/

depmod.......

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahe...

Read more...

Pubudu Kodikara (pubudu-th) wrote :
Download full text (4.1 KiB)

Tried an older driver from the AMD website (version 12.4 ). It also didn't work.... The installation log :

root@lap1:/home/pubudu/ati# sh ./amd-driver-installer-12-4-x86.x86_64.run --buildpkg Ubuntu/quantal
Created directory fglrx-install.URF3MZ
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-8.961.....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
=====================================================================
 AMD Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Ubuntu/quantal
Package /home/pubudu/ati/fglrx_8.961-0ubuntu1_amd64.deb has been successfully generated
Package /home/pubudu/ati/fglrx-dev_8.961-0ubuntu1_amd64.deb has been successfully generated
Package /home/pubudu/ati/fglrx-amdcccle_8.961-0ubuntu1_amd64.deb has been successfully generated
Removing temporary directory: fglrx-install.URF3MZ
root@lap1:/home/pubudu/ati# sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(Reading database ... 157665 files and directories currently installed.)
Unpacking fglrx (from fglrx_8.961-0ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.961-0ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-dev.
Unpacking fglrx-dev (from fglrx-dev_8.961-0ubuntu1_amd64.deb) ...
Setting up fglrx (2:8.961-0ubuntu1) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist
update-alternatives: usin...

Read more...

Pubudu Kodikara (pubudu-th) wrote :

After installing that older 12.4 driver (as I mentioned in the above comment) I opened the AMD control panel (before rebooting. If I reboot, i'll loose unity) and it gave me an error saying there's no AMD graphic driver installed. (But note that it worked in Ubuntu 12.04) Attached a screenshot of the error.

Pubudu Kodikara (pubudu-th) wrote :

If I run "sudo aticonfig --initial -f" I get the following error and after rebooting it gives me another error message saying "The system is running in low-graphics mode":

The error I after running "sudo aticonfig --initial -f" in the terminal :

root@lap1:/home/pubudu/ati# sudo aticonfig --initial -f
Uninitialised file found, configuring.
PowerXpress info: Diagnostic output from /usr/lib64/fglrx/switchlibglx:
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist
update-alternatives: warning: not replacing /usr/lib/x86_64-linux-gnu/xorg/extra-modules with a link

Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.original-0
root@lap1:/home/pubudu/ati#

Simon Yeats (yeatsie) wrote :

got this bug when i tried to install Ubuntu 12.10 over my 12.04 LTS stable install last night on my HP AMD 64bit laptop
Had a blank desktop, as you describe. managed to fix it by doing this;

sudo apt-get remove fglrx
sudo reboot

Now its all back to normal again (although i may not have optimal gfx drivers)

:) Simon

Edson (edsonmarquezani) wrote :

I have the very same scenario here, with a Radeon HD 7700M and 12.10 fresh install.

simon yeats / Edson, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug fglrx-installer

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Pubudu Kodikara (pubudu-th) wrote :

@Christopher M. I have provided as much information as I can... Are they enough?

Pubudu Kodikara, thank you for providing the requested information. In order to prioritize this appropriately, could you please explain the impact not using fglrx has on you? As well, do you have problem(s) with the open source drivers provided by default that fglrx-installer was ment to address for your applications?

Also, have you contacted AMD directly via official support channels noted in https://help.ubuntu.com/community/BinaryDriverHowto/ATI#Official_AMD_support_channels ?

Thank you for your understanding.

Pubudu Kodikara (pubudu-th) wrote :

With the open source drivers, I can't switch between the Intel and the AMD gpus. It also starts to over hear the laptop. There's also a some small slowdowns with the default drivers.

I already opened a bug report in the Unofficial AMD Linux Bugzilla (http://ati.cchtml.com/show_bug.cgi?id=624)

Changed in fglrx:
importance: Undecided → Unknown
status: New → Unknown

Pubudu Kodikara, thank you for providing the requested information. Please be advised that while placing a bug report at ati.cchtml.com is one more way to increase your chances of this being fixed as soon as possible, it's not maximizing it. This is how as per AMD http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx , ati.cchtml.com is a community resource, and is not supported by, or affiliated with AMD in any way.

Hence, could you please contact AMD directly through official support channels and report the results via https://help.ubuntu.com/community/BinaryDriverHowto/ATI#Official_AMD_support_channels ?

As well, regarding your overheat with the open source driver, you are welcome to file a separate bug against linux following https://wiki.ubuntu.com/Kernel/Debugging/HighTemperatures . Please note WORKAROUNDs at https://wiki.ubuntu.com/Kernel/Debugging/HighTemperatures#Working_around_overheat .

Marking Importance High as this a "problem with an essential hardware component (video card)", and open source drivers suffer from overheat.

Changed in fglrx-installer (Ubuntu):
importance: Undecided → High
Pubudu Kodikara (pubudu-th) wrote :

@Christopher M. Just reported in AMD forum and through their issue reporting form. But the issue reporting form doesn't have an option for Linux in OS list. But sent it :)

Sergey Prokhorchuk (stager13) wrote :

@Christopher M. Just want to add that AMD APP SDK (http://developer.amd.com/tools/hc/AMDAPPSDK/Pages/default.aspx) cannot use GPU as OpenCL device if open source video driver is used. In Ubuntu 11.10 I use proprietary AMD driver and APP SDK detects two OpenCL devices - CPU and GPU. In 12.10 with open source driver only CPU device is detected.

pcworld (pcworld) wrote :

I know someone who had the same problem on Ubuntu 12.10 (freh installation) after installing fglrx[-updates], missing the Unity taskbar and close/minimize/maximize buttons in windows (possibly the whole window decoration).
I think his problem was fixed by installing the Linux kernel headers.
Maybe fglrx/fglrx-updates lack a dependency in the control file (i.e. the kernel headers)?

Pubudu Kodikara (pubudu-th) wrote :

@pcworld No my friend... I tried installing the linux source and the headers even with a fresh install and still it won't work. Had a problem with Ubuntu 12.10 and Nvidia drivers (where the system went into a very low graphic mode after installing the drivers. The windows were stretched). For the Nvidia problem, installing linux headers fixed it. But not for the ATI issue :(

pcworld (pcworld) wrote :

...might be two different issues then?

Carterclan (carterclan) wrote :

@pubudu I concur with you, I have also tried this and it did not work.

Carterclan / pcworld / Sergey Prokhorchuk, please see https://bugs.launchpad.net/fglrx/+bug/1068661/comments/16 .

Pubudu Kodikara (pubudu-th) wrote :

@pcworld Yes its a different issue!

Edson (edsonmarquezani) wrote :

Christopher, just for your information, I filed a bug report, as you suggested.

Here it is: https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199

Thank you.

pcworld (pcworld) wrote :

@Edson: Now is this the same issue that I described?

Edson (edsonmarquezani) wrote :

@pcworld, my issue is the same as Pubudu's one. Exactly the same behavior with similar video card setups (a notebook with two cards, onboard and dedicated).

pcworld (pcworld) wrote :

"my issue is the same" - then why did you create a new issue?
Maybe I don't understand this bug tracking system...

Edson (edsonmarquezani) wrote :

Indeed, I thought the same, but Christopher told me to do that, and I believe he knows how this thing works (much better than I does), so I just didn't argue. =)

I'm also affected by this problem. 6600M dual-gpu with i7. Can install ati drivers, but then unity is broken - windows are withouth any borders and buttons and you can switch windows / workspaces etc. Using open source drivers keeps my discrete gpu spinning and overheating.

I meant "you can't switch windows and workspaces".

Pubudu Kodikara, could you please execute the following in a terminal:
apport-collect -p linux 1068661

Only added bug task for linux to easily get full logs, will delete task after apport-collect'ed.

Changed in linux (Ubuntu):
status: New → Incomplete
Simon Yeats (yeatsie) wrote :

@Christopher This is the same issue, so no need to raise a new bug request.
 I read your provided advisory link and first line says 'one defect, one person, one report' so there is no need to submit another duplicate bug report here.
As mentioned in the bug description, Ubuntu 12.10 seems to not allow ATI graphics card based laptops to boot into Unity.
I am having this issue, so i believe this is the correct bug report to participate in.

I tried a few of the methods mentioned in the orginating post this bug comes from (http://askubuntu.com/questions/202857/cant-install-ati-proprietary-drivers-in-12-10) like installing the gflrx-updates etc using Synaptics package manager and trying nomodeset on the grub menu, but none of these have helped.

At the moment, the workaround for me is still to remove the gflrx package(s) and reboot, and then Unity comes back on the desktop and i run with 'Unknown' graphics drivers as displayed from System Settings - Overview.

Fabio Rauber (fabiorauber) wrote :

I have the same issue: fresh Ubuntu 12.10 install, tried fglrx, fglrx-updates and the AMD Catalyst 12.9 driver, directly from AMD. With the latter everything worked, besides Unity (compiz crashes). With the other two got graphics error and could not load lightdm.

apport information

tags: added: staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

@Christopher Did the collection again... I don't think AMD will check this issue... There's no proper way to notify them of the problem. The post I made in their forum was removed today. The reason : They deal with Windows only. They then sent a message asking me to report through the issue reporting form (http://www.amdsurveys.com/se.ashx?s=5A1E27D20B2F3EB8) But it also doesn't support Linux (But I sent it.)

Jared Ravetch (jravetch) wrote :

I can also confirm this issue. I have a dual gpu Core i7 and Radeon HD6450. When I install fglrx, fglrx-updates or Catalyst 12.9 beta the amd driver does not load.

When using the Radeon card, Unity loads but the Intel driver is used:

$ fglrxinfo
OpenGL vendor string: Intel Inc.
OpenGL renderer string: Intel HD Graphics 3000 OPenGL Engine
OpenGL version string: 1.4 (2.1. APPLE-8.0.61)

no longer affects: linux (Ubuntu)
summary: - Unity does not load after installing fglrx-installer
+ 1002:6740 Unity does not load after installing fglrx-installer Radeon HD
+ 6700M Series

Pubudu Kodikara, thank you for apport-collect'ing.

Changed in fglrx-installer (Ubuntu):
status: Incomplete → Confirmed

I have the same problem with AMD Radeon HD 7670M in Ubuntu 12.10,when i install the proprietary drivers unity doesn't load but when i install the recommended drivers unity works but i get heating problem.I am gonna wait for this bug to get solved to install Ubuntu 12.10

Carterclan (carterclan) wrote :

Has any-one tried installing the driver from a different source to the additional drivers tab in software sources
I eventually in frustration installed fglrx-updates, fglrx-amdcccle-updates and fglrx-updates-dev via synaptic package manager and it now works.
I have also seen some-one else say that they installed the old Additional drivers app from the software centre and installed the driver from there and it now works for them after previously having the same problems as us after installing from the additional drivers tab of software sources.

Montblanc (montblanc) wrote :

The very same problem is happening on a HP Pavilion G62 which switches between two VGAs: HD 4200 and HD5400. I don't know if the problem is because HD 4xxx series is now legacy (unsupported) while HD 5xxx series is not, but I also tried setting up makson96's ppa to install fglrx-legacy drivers, but I only get a black screen. I'm now stuck with the open source drivers which suffer from overheating and my notebook shuts itself off before I can do anything.

Pubudu Kodikara (pubudu-th) wrote :

@Carterclan Tried your way but it won't work :( Thanks for the suggestions :)

Eslam Abd El-Ghany / Montblanc, if you have a bug in fglrx-installer, could you please file a new report by executing the following in a terminal:
ubuntu-bug fglrx-installer

For more on this, please see the Ubuntu X Team (maintainers of fglrx-installer), Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

udit mahajan (mahajanudit) wrote :

I am facing the same problem since I installed Ubuntu 12.10. I have AMD Radeon™ HD7550M with Intel Hybrid card.

The default driver (not fglrx) that comes with Ubuntu makes the system so slow that it is almost impossible to use in production or even casually for watching a bunch of videos for that matter. Install ATI proprietary card make Unity crash, now I have an OS without Unity and without Windows title bar and borders. Apparently entire compiz does not load.

ATI just came out with 12.10 version of their catalyst driver so I tried that too with same result. While doing "aticonfig" i get the "update-alternative warning". I also noticed that my screen is not detected due to some reason... I opened "color" that I use to apply custom icc profile on my screen but I couldn't see it their in the list of hardware.

I thought this might be a problem with my discrete card so I tried configuring my system with integrated card with "aticonfig --px-igpu" and now I got Unity and everything loaded. But the performance is very bad and due to some reason transparency is not handled. I see black bars where transparent panels/windows should be. I am at least able to use it though, but if any one got a solution kindly let us know.

pdknsk (pdknsk) wrote :

I'm having the same problem when installing 12.10 from the AMD website. It works fine with the fglrx and fglrx-updates package from Ubuntu repository, and with 12.9 BETA from AMD website.

The update-alternatives warning highlighted in this bug report is probably a red herring - the actual problem is most likely as mentioned in the other report.

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1069199/comments/3

pdknsk (pdknsk) wrote :

Correction: It might not work with 12.9 BETA from AMD website, I haven't tried. It's the same driver version as 2:9.000-0ubuntu3 but files need not necessarily be identical.

@pdknsk I tried with 12.9 BETA built for 12.10 and the results are pretty much the same in my case.

This was the same for me. I have tried both the 12.10 driver, the 12.09 driver from the AMD website along with the drivers within the default respository (restricted-extras?).

sergii (pervak-s) wrote :

I have the same problem with HD6630. In Xorg.log I see segmentation fault error.

[ 44.537] (EE)
[ 44.537] (EE) Backtrace:
[ 44.591] (EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7f756ee10bd6]
[ 44.591] (EE) 1: /usr/bin/X (0x7f756ec68000+0x1aca09) [0x7f756ee14a09]
[ 44.591] (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f756df8e000+0xfcb0) [0x7f756df9dcb0]
[ 44.591] (EE) 3: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7f756aaee000+0x6d163) [0x7f756ab5b163]
[ 44.591] (EE) 4: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so (xdl_xs113_atiddxPxPreInit+0x125) [0x7f756b3ea9e5]
[ 44.591] (EE) 5: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so (xdl_xs113_atiddxPreInit+0x1f59) [0x7f756b3c75e9]
[ 44.591] (EE) 6: /usr/bin/X (InitOutput+0xb02) [0x7f756ecffb72]
[ 44.591] (EE) 7: /usr/bin/X (0x7f756ec68000+0x44386) [0x7f756ecac386]
[ 44.591] (EE) 8: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7f756cc1376d]
[ 44.591] (EE) 9: /usr/bin/X (0x7f756ec68000+0x448ad) [0x7f756ecac8ad]
[ 44.591] (EE)
[ 44.591] (EE) Segmentation fault at address 0xc0
[ 44.591]

Pubudu Kodikara (pubudu-th) wrote :

Just tried the latest driver 12.10 from the AMD website. Same results... Still no Unity!

Bartosz Majsak / matt Alexandre / sergii, please see https://bugs.launchpad.net/fglrx/+bug/1068661/comments/60 .

Rosca Stefan (sarvigalava) wrote :

Same problem as #66. No matters what proprietary driver is used x server fails with segmentation fault at 0x0c. Laptop is Samsung series 7 hd3000 + ati 6750m

K (kkumar) wrote :

I too have this problem, after login I see blank screen with my walpaper, ubuntu one notifications(not the icon) are also displayed, and cuttle fish loaded. When I inserted a audio CD, music player is poped up. So only thing iam missing is unity interface. My graphics card is imbeded/integrated HD 4200. Anyone has any luck with this graphics card?

Eslam Abd El-Ghany / Kamsetti, please see https://bugs.launchpad.net/fglrx/+bug/1068661/comments/60.

K (kkumar) wrote :

Thanks Christopher. I have only one computer at home which is broken with this issue. I can go to command line and do stuff, but do not know how I can file those logs here using command line. 'Recovery Mode' also stuck before the login screen for unknown reason, so I have no easy way to file asked logs. I am writing this from office computer.

Montblanc (montblanc) wrote :

Cristopher, I created bug #1070531 . Please, just tell me if you need more information. :)

Kamsetti, please use the following link to create a report via any computer, please feel free to subscribe me to it, and we can take it from there:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+filebug

Danerd (danee) wrote :

I have a 6950 Sapphire.. same effects. No Unity Windows Borders and so on. Can only use the open source driver.. Hope they fix this soon the performance is not really nice :/

Brendan Edmonds (ziggyfish) wrote :

Christopher,

This has been an issue for me since 10.04, so this bug has existed for 2.5 years. I recently just reinstalled Ubuntu and have the most upto date system. Now compiz is taking ~15% of my cpu.

When can we expect this issue to be looked at and fixed, and not be put at the bottom of the pile? Or heck tell me how I can turn off compiz.

If I remember the last time I looked at how the driver works, it uses a different way of managing the displays (I have had a lot of problems with dual monitors and ati drivers in the past. The driver doesn't use Xrandr to manage resolutions etc. it uses another library that I can't think of the name of at the moment.

I think this is the problem, unity is not backward compatible with the library.

Darko (chris-j-darko) wrote :

This bug also affects HD5770, which lacks fan speed control from the open source drivers out of the box.

Christopher, unfortunately i have deleted Ubuntu 12.10 from my laptop,now i am working on windows 7 waiting for this bug to get fixed :(

K (kkumar) wrote :

Christopher, I have tried 'ubuntu-bug fglrx-installer', it collected information and tried to open the browser to complete the bug submission, because I can not open any (even safe) graphical mode, the submission was failed. Its a dead lock.

Kamsetti, if ubuntu-bug is not working, then please use the following link to create a report via any computer, please feel free to subscribe me to it, and we can take it from there:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+filebug

Pubudu Kodikara (pubudu-th) wrote :

Dear Christopher and everyone else engaged in this report, I have done everything you said to make sure you can identify the problem. But from today until the 31st of October, I won't be able to do this (I can't repeat it, but here's the reason : http://techhamlet.com/2012/10/no-updates-until-the-31st-of-october/). Please understand my situation and some one else please come forward and follow Christopher's instructions and make sure they get to the bug! Thank you.

pads (piotrek.tt) wrote :

hi! the workaround for this problem.
it's some kind of strange bug. i have radeon hd 5670 and unity crashed for me too.

1. chceck if your card is still supported in ati closed driver for linux - they do not support 2xxx - 4xxx models in new drivers, so you need to install legacy drivers.

2 if that does not apply to you, do this:
- switch back to open drivers
- open terminal and do commands:

sudo apt-get install linux-source
sudo apt-get install linux-headers-3.5.0-17-generic

- switch back to closed ati drivers in your software center / software sources / additional drivers
- restart computer
at this point everything should be working just fine. it worked for me. ati working at full speed with unity and it's so much faster.

then open terminal and do this:
sudo apt-get install linux-headers-generic

workaround found on polish ubuntu forums. thank you!

davorao (davorao) wrote :

Hi!

Don't want to disappointing anyone but the solution provided by @pads doesn't work for everyone.

1) the solution for legacy cards (2xxx-4xxx) does indeed work
2) but the second solution only works for users with only a AMD/ATI GPU. Anyone who has a ATI/Intel hybrid card can only use the open source drivers.

The ATI/Intel Hybrids still seem to suffer from a regression compared to Ubuntu 12.04 and the previous AMD Catalyst drivers.

I have just tried the AMD Catalyst 12.11 beta driver fresh out the press at AMD and it still doesen't work for me.

I have a AMD Radeon HD 6490M with an integrated Intel 3000 HD card running. Laptop is Samsung Chronos 7 700z3a-S03-DE.

Sergey Prokhorchuk (stager13) wrote :

@pads Your workaround works for me. Great thanks! And as a @davorao said my configuration has discrete AMD GPU and no integrated Intel CPU.

Zippo (zippoxer) wrote :

On a just-installed Ubuntu 12.10 I installed linux-headers-generic, fgrlx-updates and fgrlx-amdcccle-updates then restarted and the driver (including Catalyst Control Center) have been installed successfully.

fglrxinfo is reporting:

display: :0.0 screen: 0
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: ATI Radeon HD 5570
OpenGL version string: 4.2.11903 Compatibility Profile Context

Few hours before, on a previous installation of Ubuntu 12.10, I failed to install the driver probably since I played with Additional Drivers in Software Sources too much, before I tried anything else.

Alex Balmus (alx-balmus) wrote :

I have a Hp Pavillion DV7 with Inter Core i7 and hybrid graphics Intel/AMD 6770M

I have tried:
- fglrx driver from software sources (fglrx and fglrx-updates)
- 12.9, 12.10 and 12.11 driver from AMD website

I get the same problem - unity doesn't load after the instalation of teh driver.

The open source driver works.
I can only use the Intel card, I cannot switch via vgaswitcheroo. I disable the AMD (DIS) via a startup script.

K (kkumar) wrote :

Christopher, if ubuntu-bug is placing all collected info, then I can copy it to thum drive and upload those to this thread using other computer. If that is possible, could you please tell me where to find those files?

I have Readon HD 4200. can some one tell me how to install legacy drivers?(kind of noob in this area)

I am also interested in open source drivers and uninstall the existing (what ever) and install the open source, I would like to try this too if legacy drivers didn't work.

davorao (davorao) wrote :

@Kamsetti

the solution for you card and other now (AMD categorised) legacy cards Radeon HD 2xxxx - 4xxxx is found in this Blog.

http://www.ubuntuvibes.com/2012/10/how-to-install-amd-catalyst-legacy.html

Im affraid you wont be able to do better than that with the open source drivers, since they still suffer from both cards working at the same time. And this causes the computer to overheat and fan to run wild.

Cheers

PetterKatt (petterkatt) wrote :

Using a Dell Vostro 3350 and have the same problem.
While waiting for a better solution, you can always switch off one of the GPUs.
Still will at least make your fan to stop running at full speed.

https://help.ubuntu.com/community/HybridGraphics

Using a Dell Inspiron N5010 (ATI Mobility Radeon HD 5650) and have the same problem.

udit mahajan (mahajanudit) wrote :

Every one affected by this bug kindly make sure you click on the link "This bug effects me" to mark this on even higher importance.

lachoneus (7achoneus) wrote :

HP Envy 15 3033cl Radeon HD 7690M, same issue. Was working fine with Ubuntu 12.04, did a distro update to 12.10, through the console. During boot it would automatically drop to the console, no GUI whatsoever. Tried re installing from a clean install, like many others here, and have been unable to get it to install correctly.

David Kudera (sakren) on 2012-10-26
information type: Public → Public Security
jacobbrett (jacobbrett) wrote :

@pad's workaround (2.) worked great for me (Quantal x86_64, Radeon HD 6870).

davorao (davorao) wrote :

Hi @jacobbrett,

do you have a single AMD/ATI Card (in this case the Radeon HD 6870) or is it coupled with a integrated Intel card?

David Beswick (dlbeswick) wrote :

Hello, I have a 7770 and encountered this problem. I fixed it by uninstalling fglrx and installing fglrx-updates. My motherboard has no integrated graphics.

Simon Yeats (yeatsie) wrote :

@pads @eslam your solutions worked for me,

i followed the instructions here

http://www.ubuntuvibes.com/2012/10/how-to-install-amd-catalyst-legacy.html

on how to install the legacy drivers, I have a series 4xxx card, now running full graphics with Unity, great, finally.

As per Bug Description:
>"sudo apt-get install fglrx-updates"
fglrx-installer -> fglrx-updates

summary: - 1002:6740 Unity does not load after installing fglrx-installer Radeon HD
+ 1002:6740 Unity does not load after installing fglrx-updates Radeon HD
6700M Series
affects: fglrx-installer (Ubuntu) → fglrx-installer-updates (Ubuntu)
Changed in fglrx-installer-updates (Ubuntu):
importance: High → Undecided
status: Confirmed → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
Shabang (theshabang) on 2012-10-27
Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
affects: fglrx → ubuntu
Shabang (theshabang) wrote :

I have the same problem and I'm looking for reasons... It's very strange.

If you guys wanna cold down the computer using (opensource driver )while official workaround doesn't comes out, just uninstall fglrx, remove /etc/X11/xorg.conf file and run this commands:

sudo su
echo OFF > /sys/kernel/debug/vgaswitcheroo/switch
this will turn off the GPU not utilised.

for more knowledge, read this article about VGA Switcheroo: https://help.ubuntu.com/community/HybridGraphics

Nick Andrik (andrikos) wrote :

Is it possible that this bug here is a duplicate of this one?
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404

Edson (edsonmarquezani) wrote :

For those who have hybrid video Intel/AMD.

Install "xserver-xorg-video-intel" and "fglrx-updates" from this PPA[1]. After installing it, don't forget to setup "xorg.conf" with "aticonfig" tool. That worked for me.

Obs: now, I'm in trouble trying to enable video GPU acceleration with libva. =P

[1] https://launchpad.net/~andrikos/+archive/pp

Nick Andrik (andrikos) wrote :

Hi Edson, thanks for the feedback.
I will be waiting to see if the `xserver-xorg-video-intel` package from my PPA fixes their problem too (you don't need to install the fglrx-updates package)
If yes, I will suggest to merge the two bugs as they are duplicates.

BTW, the link to my PPA is this:
https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal

Verdomde (frog-yawn) wrote :

I have an hp dm4, with radeon hd 7470, and intel 3000, I get the same symptoms, overheating, fan always on, and am unable to install amd drivers, I get the same low graphics 'mode/ no unity problem'. My suggestion is to double check that your card is actually supported by gh the 12,11 beta driver also doesnt support me.
I stopped my laptop overheating using the same method as 'theshabang' suggests.

Nick Andrik (andrikos) wrote :

For the people who have hybrid GPU system (ati/intel), you can try the solutions described here:
http://askubuntu.com/questions/202857/cant-install-ati-proprietary-drivers-in-12-10/207270#207270

J-Paul BERARD (arverne) wrote :

Same problem here with a fresh install of Ubuntu 12.10 64 bits, with Phenom processor and Radeon 6850 graphic card.
Either fglrx or fglrx-update open a session without Unity : no launcher, no dash.

Not easy to go back to the free driver ! How to do :

Launch a Terminal with ctrl+alt+ T keys
Type : sudo apt-get purge fglrx*
give the password
Accept to remove the package when asked (type o)
Start again by typing : sudo shutdown now

Tsur Herman (tsur-herman) wrote :

I confirm that Nick Andrick's solution works for me.
I have hybrid ati/intel graphics . downgrading the intel driver through his PPA as described
in
http://askubuntu.com/questions/202857/cant-install-ati-proprietary-drivers-in-12-10/207270#207270
Solves my problem.
So I suggest you bug fixing ninjas out there focus on that intel driver.

Nick can you post a more detailed step by step instruction's on how to downgrade the intel driver for those who are not
yet ubuntu savvy?

Nick Andrik (andrikos) wrote :

Updated in the answer.
Could you please upvote my answer so that more people see it?

Thanks

Download full text (4.0 KiB)

Created attachment 69191
Xorg log when unsupported muxless platform is reported

Bug already reported to AMD, but since it seems to involve Intel driver, I thought it might be a good idea to report here as well.

Actually two similar bugs have been reported to AMD :
http://ati.cchtml.com/show_bug.cgi?id=634 (reported by me)
http://ati.cchtml.com/show_bug.cgi?id=580

I am the owner of an ACER Aspire TimelineX 3820 TG featuring a core i5-480M +
Radeon HD6550M.
Configuration (32 bits ONLY installation) :
- kernel 3.4.14
- glibc 2.14.1
- gcc 4.6.1
- Xorg 7.7 with xorg-server 1.12.1 / xf86-video-intel 2.20.10
- Slim 1.3.2
- fglrx 12.10 or 12.11 beta

X works fine with :
- the dGPU only ("discrete" selected in the bios)
- the IGP only ("switchable" selected in the bios and dGPU NOT declared in the
ServerLayout section).

X crashes at startup when :
- "switchable graphics" is selected in the bios
- only the dGPU is declared in the ServerLayout :
excerpt of Xorg.0.log
... snip ...
[ 20.778] (==) ServerLayout "laptop"
[ 20.778] (**) |-->Screen "high performance" (1)
[ 20.778] (**) | |-->Monitor "Acer 3820TG"
[ 20.778] (**) | |-->Device "Radeon HD 6550M"
... snip ...
[ 20.780] (--) PCI:*(0:0:2:0) 8086:0046:1025:051b rev 24, Mem @
0xf0000000/4194304, 0xd0000000/268435456, I/O @ 0x00001800/8
[ 20.780] (--) PCI: (0:2:0:0) 1002:68c1:1025:051b rev 0, Mem @
0xb0000000/268435456, 0xafee0000/131072, I/O @ 0x00002000/256, BIOS @
0x????????/131072
... snip ...
[ 20.865] (--) Chipset Supported AMD Graphics Processor (0x68C1) found
[ 20.866] (WW) fglrx: No matching Device section for instance (BusID
PCI:0@2:0:1) found
[ 20.866] (II) fglrx: intel VGA device detected, load intel driver.
[ 20.866] (II) LoadModule: "intel"
[ 20.866] (II) Loading /opt/X11/lib/xorg/modules/drivers/intel_drv.so
[ 20.866] (II) Module intel: vendor="X.Org Foundation"
[ 20.866] compiled for 1.12.2, module version = 2.20.10
[ 20.866] Module class: X.Org Video Driver
[ 20.866] ABI class: X.Org Video Driver, version 12.0
[ 20.866] (WW) PowerXpress feature is not supported on A+I Mux platform.
Please uninstall fglrx driver.
[ 20.866] (EE) this is a Muxless PX A+I platform, we doesn't supported it
[ 20.866] (EE) No devices detected.
[ 20.866]
Fatal server error:
[ 20.866] no screens found

I am a bit puzzled by :
"this is a Muxless PX A+I platform, we doesn't supported it"

X crashes at startup when :
- "switchable graphics" is selected in the bios
- both dGPU (Radeon HD 6550M) and iGPU (Core i5 IGP) are declared in the
ServerLayout section :

excerpt of Xorg.0.log
... snip ...
[ 205.098] (==) ServerLayout "laptop"
[ 205.098] (**) |-->Screen "low power" (0)
[ 205.098] (**) | |-->Monitor "Acer 3820TG"
[ 205.098] (**) | |-->Device "Intel HD Graphics"
[ 205.098] (**) |-->Screen "high performance" (1)
[ 205.099] (**) | |-->Monitor "Acer 3820TG"
[ 205.099] (**) | |-->Device "Radeon HD 6550M"
... snip ...
[ 142.387] (--) PCI:*(0:0:2:0) 8086:0046:1025:051b rev 24, Mem @
0xf0000000/4194304, 0xd0000000/268435456, I/O @ 0x00001800/8
[ 142.387] (--) PCI: (0:2:0:0) 1002:68c1:1025:051b rev 0, Mem @
0xb0000000/...

Read more...

John Sums (johnysums) wrote :

I've tried Nick's solution, but got the same result :(

Marco Vuano (vuanomarco) wrote :

regarding Unity not working after installing fglrx, the workaround is described in step 2 of the first message of this thread:
http://ubuntuforums.org/showthread.php?t=1930450
I tried that myself and now Unity works even when using the integrated GPU with fglrx installed.

Regarding the steps to install intel driver from Nick's page, I would recommend these steps:
1-go to
https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal
and click on
xserver-xorg-video-intel - 2:2.20.0-0~andrik1
2-download the xserver-xorg-video-intel packages appropriate for the architecture (xserver-xorg-video-intel_2.20.0-0~andrik1_amd64.deb for 64-bit systems, xserver-xorg-video-intel_2.20.0-0~andrik1_i386.deb for 32-bit systems)
3-open the terminal
4-go to the directory where the packages have been downloaded
5-run
sudo dpkg -i xserver-xorg-video-intel_2.20.0-0~andrik1_amd64.deb (for 64-bit systems)
or
sudo dpkg -i xserver-xorg-video-intel_2.20.0-0~andrik1_i386.deb (for 32-bit systems)

In my case, the intel driver was enough to make the fglrx and fglrx-updates drivers from quantal/restricted repository work.

udit mahajan (mahajanudit) wrote :

nice Nick.

It worked like a charm for me at least. Even the Integrated card driver, so now there is no over-heating.
Finally i am using 12.10 and enjoying it rather.
I hope they fix this dependency problem, because now I have to be very careful while updating the system that I do not update my intel driver as well.

@udit mahajan, Can you switch between the 2 graphics ?

Niccola (niccolatorres) wrote :

Thank you Nick,
your fix worked for me...

But I've faced with some problems...

1 - Think we should download both dbg and regular xserver-xorg-intel packages in PPA

2 - After installing those packages, we should reboot the system

Then install fglrx driver (I've installed 12.11 successfully for my AMD radeon HD6770M hybrid with an Intel HD 3000 )

TIP: First time I executed "sudo amdconfig --intial -f" it reported me that my graphic card is not supported, but I've skiped it and rebooted my laptop, then I've logged in Ubuntu also without Unity bars. However, I called terminal (by pressing CTRL + ALT + T) then executed again "sudo amdconfig --initial -f" and it worked!

Thx and best regards again

udit mahajan (mahajanudit) wrote :

@Eslam Abd El-Ghany
Yes I am able to. In fact I am using the integrated card currently as it does not over heat my system.
There is a bug in enabling the igpu. The workaround is mentioned in the thread:
http://ubuntuforums.org/showthread.php?t=1930450
As earlier mentioned by Marco...
You need add a small directory for drivers in the file: /etc/X11/Xsession.d/10fglrx as described in step 2 depending on which system you have (32bit or 64).

Nick Andrik (andrikos) wrote :

for the problem udit is referring I attach a patch that should take care of this

Nick Andrik (andrikos) on 2012-10-29
affects: ubuntu → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: Unknown → Confirmed
summary: - 1002:6740 Unity does not load after installing fglrx-updates Radeon HD
- 6700M Series
+ Unity does not load after installing fglrx in Radeon+Intel GPU hybrid
+ systems
Nick Andrik (andrikos) on 2012-10-29
summary: - Unity does not load after installing fglrx in Radeon+Intel GPU hybrid
- systems
+ Unity does not load after installing fglrx[-updates] in Radeon+Intel GPU
+ hybrid systems
summary: - Unity does not load after installing fglrx[-updates] in Radeon+Intel GPU
- hybrid systems
+ Unity does not load after installing fglrx/fglrx-updates in Radeon+Intel
+ GPU hybrid systems

I have merged this bug with another with same symptoms:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404

As I understand there are two problems for ati/intel hybrid systems after install the fglrx[-updates] package

a) Low graphics mode because of "Segmentation fault at address 0x0" in Xorg:

This is a regression with the intel drivers, a workaround for now is installing xserver-xorg-video-intel version 2.20.0 as described in https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1068661/comments/110

b) Cannot switch on integrated CPU from Catalyst:

There is a path missing in /etc/X11/Xsession.d/10fglrx . You have to edit the line as described in
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1068661/comments/119

summary: - Unity does not load after installing fglrx/fglrx-updates in Radeon+Intel
- GPU hybrid systems
+ Unity does not load after installing fglrx/fglrx-updates in ATI/Radeon +
+ Intel GPU hybrid systems

Nick, regarding no being necessary your fglrx-updates package, I'm afraid it isn't true for everybody.

Yesterday I tried it again, in order to report the results here, and indeed, fglrx-updates-9.000-0ubuntu3 gives me the same "segmentation fault" error, even with your Xorg Intel driver package installed.

For me, not even the 12.10 stable driver from ATI's website worked out (same error as before). The only sucessfull combination was xserver-xorg-video-intel and fglrx-updates from your PPA, for which I should thank you very much, BTW.

The attachment "enable graphics switching on intel/ati hybrid systems" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

So, you're saying that also my fglrx updated driver is needed?
I will check it and update my answer accordingly.

Thanks!

Edson (edsonmarquezani) wrote :

Yes, for me it was necessary.

Changed in xserver-xorg-video-intel (openSUSE):
importance: Unknown → Critical
status: Unknown → In Progress
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Confirmed

@Edson:
I have just checked it and it seems that the Xorg server starts even with no updated version:
andrikos@Gauss: ~ $ dpkg-query -l |grep -e "video-intel" -e "fglrx"
ii fglrx-amdcccle-updates 2:9.000-0ubuntu3 amd64 Catalyst Control Center for the AMD graphics accelerators
ii fglrx-updates 2:9.000-0ubuntu3 amd64 Video driver for the AMD graphics accelerators
ii xserver-xorg-video-intel 2:2.20.0-0~andrik1 amd64 X.Org X server -- Intel i8xx, i9xx display driver

Can you try keeping my intel driver, purging fglrx* altogether, reboot and then install the fglrx drivers from the default repositories?
It doesn't matter that much, but maybe there is an additional issue on your setup.

Montblanc (montblanc) wrote :

I'm glad you found out that this problem was affecting hybrid Intel/ATI systems, I really hope it will be solved soon.

Now, imagine: a hybrid ATI/ATI system, the primary one which is legacy (HD 4200) and the secondary is newer (HD 5600). No need to say that the Intel workarounds you're all so happy with has no effect in my case. Also, the fglrx-updates workaround was the first one I tried but there was no difference.

Now I have both my GPUs running at full speed like a tazmanian devil thanks to the awesome ati open drivers and switcheroo that totally disappeared (was it even there before?).

Once upon a time, I filed bug #1070531 , but after years as a Launchpad user, I know that I'll be left all by myself.

But I can't blame anyone: can you imagine a laptop which switches between two ati cards where the first one needs legacy drivers and an older version of X? Of course I tried turning the 4200 off in the BIOS, but it seems that the only things I'm allowed to change are language and time. You must be kidding me, HP.

There is nothing I can do about this since fglrx plays tricks with the intel hardware without knowledge of the driver.

Same problem on ATI Mobility Radeon HD4250.

I thought so... But wanted to report anyway.
I added a comment to my bug report in AMD's bugzilla referencing this one.
'hope this will help.

Thanks a lot for the quality of your driver.

Alfred Neumayer (beidl) wrote :

One interesting thing with the modified debs from Nick Andrik:
My HP ProBook 4730s has a similar muxless switching setup (Intel HD 3000 + Radeon 6470m).
Booting up with the HD 3000 results in a X segfault, can't log in, can't even switch to a tty in the process.
However, long-pressing the power button and turning on the laptop back again gets through without a problem.
That is, until I reboot or shutdown again. Then I have to do the same thing again (let X segfault, pulling power, turning laptop on).
Also, switching graphics and killing X with "sudo pkill X" works most of the time, so you can boot with the DGPU enabled,
login, run the commands "aticonfig --px-igpu; sudo pkill X" and you can log in with your IGPU up and running.
Before shutting down, set the DGPU again with "aticonfig --px-dgpu" and shut down. Repeat steps for happyness until a fix is released.

Changed in xserver-xorg-video-intel:
status: Confirmed → Won't Fix

This seems to be a regression of the xf86-vidoe-intel driver.

You can take a look on comment #44 on this bug report in ubuntu for a patch to revert the commit that produces this problem:

https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404

I've got a samsung series 7 with a Radeon 64xxM card and an integrated intel card (not sure of the model). I've got the same problem as other people- backdrop and cursor, but no windows or sidebars. Apparently shortcuts still work, though; I was able to ctrl-alt-T to a terminal and try to start unity with logging (unity --verbose --log). The output is attached; not sure if this is helpful.

@JG: can you please attach what
compiz --replace
gives?
--
=Do-
N.AND

2012/11/1 JG <email address hidden>:
> I've got a samsung series 7 with a Radeon 64xxM card and an integrated
> intel card (not sure of the model). I've got the same problem as other
> people- backdrop and cursor, but no windows or sidebars. Apparently
> shortcuts still work, though; I was able to ctrl-alt-T to a terminal and
> try to start unity with logging (unity --verbose --log). The output is
> attached; not sure if this is helpful.
>
> ** Attachment added: "log file"
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1068661/+attachment/3420840/+files/unityfail.log
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1068661
>
> Title:
> Unity does not load after installing fglrx/fglrx-updates in ATI/Radeon
> + Intel GPU hybrid systems
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/1068661/+subscriptions

Nick, you were right. I figured out that I was probabily forgetting to unload the fglrx module after changing it. So, I restarted the system (in order to avoid any mistake), and fglrx from Ubuntu repository worked.

I also upgraded to your intel module newer package and everything kept working well. Thanks for fixing it for us!

davorao (davorao) wrote :

Hi Nick,

i was trying to make a clear path for myself on how to approach this from what you've found out and I can't get my head around it somehow.
Could you possibly summarize how people can now try to use the PPA you provide and/or what is missing in order to properly configure the proprietary fglrx drivers (either fglrx or fglrx-updates or the fglrx in your PPA; with our without the intel package from your PPA).
Also from the note of Chris WIllson that he wrote the fault lies not with the intel driver but the fglrx and their failure to support the newer X.org stack, would a newer fglrx drive (amd catalyst 12 or higher) be advised to wait for?

Thank you in advance

Nick Andrik (andrikos) wrote :

Hi davorao,

You'd better take a look on that bug report:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404

If you use Ubuntu, then install the intel package and one of the fglrx packages from here:
https://launchpad.net/~andrikos/+archive/ppa/+packages?field.name_filter=&field.status_filter=published&field.series_filter=quantal

If you don't use ubuntu, you have to recompile/repackage your own drivers depending on the distribution you use.

There you apply:

a) the patch to the intel driver (in order to be able to start X with fglrx/intel hybrid systems):
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/comments/44

b) the to the fglrx driver (in order to be able to switch to igpu). Be aware that this is debian specific, you may not need it elsewhere:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404/comments/50

davorao (davorao) wrote :

Hi Nick,

yes I am using Ubuntu and will try the packages later today when I'm home again.
Will let you know of the progress.

Thank you

I installed fglrx and xserver-xorg-video-intel packages from Nick's PPA and it worked like a charm i can even switch between the graphics from the catalyst control center.
AMD Radeon HD 7076M/Intel HD Graphics 4000
Thank You Nick :)

davorao (davorao) wrote :

Hi Nick,

I just tried your PPA on a fresh install of Ubuntu 12.10 and the same thing happened in the end. I reboot into low graphics mode, where i am not even able to choose from one of the choices but am immediately thrown into a command line log in. There i am able to login and execute commands but not able to start X or anything.
As said i have a intel hd3000 combined with radeon hd 6490m.

I followed your instructions on http://askubuntu.com/a/207270/7287.

Cheers,
Davor

Nick Andrik (andrikos) wrote :

davorao,

Please file a new bug report, including also the Xorg logs

davorao, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug fglrx-installer

For more on this, please see the Ubuntu X Team (maintainers of fglrx-installer), Ubuntu Bug Control, and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

summary: - Unity does not load after installing fglrx/fglrx-updates in ATI/Radeon +
- Intel GPU hybrid systems
+ 1002:6740 Unity does not load after installing fglrx-installer-updates
+ Radeon HD 6700M Series w/ 8086:0116 Intel Integrated Card
no longer affects: fglrx-installer (Ubuntu)

Shabang, please do not add a bug task for fglrx-installer. The original reporter only reported this against fglrx-installer-updates. As well, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Redid Summary as per sidebar with Nick Andrick and pending Pubudu's test results.

affects: xserver-xorg-video-intel (Ubuntu) → fglrx
Changed in fglrx:
importance: Unknown → Undecided
description: updated
affects: xserver-xorg-video-intel (openSUSE) → bluez
Changed in bluez:
importance: Critical → Undecided
status: In Progress → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
affects: bluez → bluez (Ubuntu)
no longer affects: bluez (Ubuntu)
affects: xserver-xorg-video-intel → bluez (Ubuntu)
Changed in bluez (Ubuntu):
importance: Medium → Undecided
status: Won't Fix → New
no longer affects: bluez (Ubuntu)
description: updated

Eduardo Cardoso, regarding your comments :
>"Same here 12.10 64-bit, Radeon HD4530."

Your problem is not the same. Please see https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1058040 .

Nick Andrik (andrikos) on 2012-11-05
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → In Progress
assignee: nobody → Nick Andrik (andrikos)
Nick Andrik (andrikos) on 2012-11-05
Changed in xserver-xorg-video-intel (Ubuntu):
assignee: Nick Andrik (andrikos) → nobody
no longer affects: xserver-xorg-video-intel (Ubuntu)
information type: Public Security → Public
saadnaji (blackwatch4ever) wrote :

Same here I have the same problem in my clevo laptop with Hybrid graphics with in intel 3610M and AMD 7970M. Unity disappears when installing amd driver property from ubuntu or installing AMD 12.11 driver. I did fresh installing of Ubuntu 12.10

This also affects me.

Hardware:

HP Envy 15 (about 6 months old), Intel integrated graphics plus Radeon HD 6600M.

I've tried ever PPA that purports to solve the problem, and at this juncture see no alternative to downgrading to 12.04, since the free drivers don't work very well (heat and terrible battery life).

I am left with the inescapable conclusion (and very bad taste in my mouth) that Ubuntu crowdsourced the QA on this one. Maybe you guys ought to consider only doing annual releases, but doing them very well and testing them thoroughly. Once a year done right sure beats twice a year releases that are the software equivalent of Chicago-job wiring.

Vahid Sohrabloo (vahid4134) wrote :

I have this problem with ATI 6600M HD

Rob Lesslie (roblesslie) wrote :

Affects me with (output from LSPCI):
Intel
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Sony Corporation Device 907b
 Flags: bus master, fast devsel, latency 0, IRQ 49
 Memory at c0000000 (64-bit, non-prefetchable) [size=4M]
 Memory at b0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 8000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

AMD
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Whistler [AMD Radeon HD 6600M Series] (prog-if 00 [VGA controller])
 Subsystem: Sony Corporation Device 907b
 Flags: bus master, fast devsel, latency 0, IRQ 52
 Memory at a0000000 (64-bit, prefetchable) [size=256M]
 Memory at c8400000 (64-bit, non-prefetchable) [size=128K]
 I/O ports at 7000 [size=256]
 Expansion ROM at c8420000 [disabled] [size=128K]
 Capabilities: <access denied>
 Kernel driver in use: radeon
 Kernel modules: radeon

Karma Dorje (taaroa) on 2012-11-14
Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Incomplete
Nick Andrik (andrikos) wrote :

@Karma:

I cannot understand whom your message is addressed to, but I think you should review the Ubuntu Code of Conduct which you have already signed and can be found here:
http://www.ubuntu.com/project/about-ubuntu/conduct

Regards,
Nick

Karma Dorje, to maintain a respectful atmosphere, please follow the code of conduct - http://www.ubuntu.com/project/about-ubuntu/conduct . Bug reports are handled by humans, the majority of whom are volunteers, so please bear this in mind.

As you are a member of Ubuntu Bug Squad, and signer of the Ubuntu Code of Conduct, you should already be familiar with this.

As well, please do not toggle this Status to Incomplete unless one has requested information from the original reporter. For more on this, please see https://wiki.ubuntu.com/Bugs/Status .

Thank you for your understanding.

Status -> Confirmed due to inappropriate Status toggling.

Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → Confirmed
Nick Andrik (andrikos) wrote :

TBH, the original poster has still to provide additional information
that will help to triag the problem and distinguish from other similar
ones.
My personal take would be that this is indeed Incomplete till he comes
back so that he can try additional workarounds.

Karma Dorje (taaroa) wrote :

Nick Andrik (andrikos)
Christopher M. Penalver (penalvch)
my fault, I apologize.

saadnaji (blackwatch4ever) wrote :

I have the same problem but with amd 7970M series gpu. I did fresh installation of Ubuntu 12.10 and neither the Ubuntu restricted graphic drivers work or the latest d river available from amd website work . However , only open source drivers work but my gpu run hot since its not supported fully by open source driver. When I installed property drivers. Unity vanished and onlt desktop wallpaper and icon appears when I logged ( that is after restart of completing installing property driver). I am running Hybrid intel/amd graphics system. Here is the specification of my system:

Intel 3610M core i7 mobile cpu
AMD 7970M gpu

16GB ram

256 GB crucial m4 ram + 500 GB HDD

artheos 9k wireless driver

Warren Jacques (warren-bipco) wrote :

I have some of these problems on Radeon HD7750 12.10 Quantal - fglrx-updates from the repository works, but not as well as 12.8 from the ATI website in 12.04 Precise which works fine (I get strange flickery effects in X-Plane Flight Sim under certain conditions in Quantal).

If I try to install drivers from ATI website (tried 12.9 beta and 12.10 final) I get no Unity.

If I install fglrx from the repository (not the updates) I also get no Unity.

Hardware: Gigabyte Z77-D3H, Ivy Bridge Intel® Core™ i5-3450S CPU @ 2.80GHz × 4, 8GB Corsair RAM, Sapphire Radeon HD7750.

Warren Jacques, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

For more on this, please see the Ubuntu X.Org team (maintainers of fglrx-installer/fglrx-installer-updates), Ubuntu Bug Control team, and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in fglrx:
importance: Undecided → High
rod (e-6od-t) wrote :

Hi all,

on my hp pavillion dv6 (AMD radeon hd6700m) I tested nearly every proposed solution on the web. My problems started after upgrade from 12.04 to 12.10. tried proprietary drivers (CATALYST 12.10, 12.4, 12.8), AND opensource one. to no avail.
then reinstalled ubuntu 12.10 from cd. then finally I could start and use unity. But when I ran the proposed updates I got back to the previous situation. Even worse: it doesn not shut down nor boot correctly. I can't even access a ctrl-alt-F* terminal.
The thing is, I've already spent half a week on this issue and have been having my production machine out of order for the same time.
ubuntu12.10 is not for my kind of laptop, it seems.

the bottom line: NEVER UPGRADE UBUNTU WHEN IT ALEADY WORKS (ESP WHEN IT'S A LTS!, even if you still find unity sort of buggy)

Nick Andrik (andrikos) wrote :

@Pubudu
Can you please try the instructions here and tell us if this fixes your problem?
https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND

Please make sure you run these 7 commands BEFORE you reboot.

Changed in fglrx-installer-updates (Ubuntu):
status: Confirmed → Incomplete
sergii (pervak-s) wrote :

Unfortunatly solution is not working :(

Nick Andrik (andrikos) wrote :

@sergil :
What kind of GPUs do you have?

sergii (pervak-s) wrote :

@nick:
its lenovo thinkpad edge 420
 GPU MD Radeon HD 6600M

Nick Andrik (andrikos) wrote :

Are you sure this is your GPU?
Online on the specs I see that this laptop has only integrated Intel card.

Could you please paste the output of this command?
lspci -nn |grep -i vga

sergii (pervak-s) wrote :

@nick
Yeap
00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0126] (rev 09)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Whistler [AMD Radeon HD 6600M Series] [1002:6741]

Nick Andrik (andrikos) wrote :

Just to be sure, can you try carefully the 7 commands mentioned here:
https://help.ubuntu.com/community/BinaryDriverHowto/ATI#WORKAROUND
then reboot and comment if the problem is fixed?

Thanks,
Nick

sergii (pervak-s) wrote :

@nick
yes I was realy careful when runninf all 7 comands
but after reboot unity just crased as usual :(
I could send any additional logs that you may need.

Thanks,

Sergii

Nick Andrik (andrikos) wrote :

Please create a new bug report as it seems you might have a different problem.
You will attach there all the info you need

Thanks,
Nikos

Eric Marsh (ericmarsh) wrote :

I believe I am encountering the issue described here. I have a MacBook Pro 8,2 (late 2011) with a Radeon 6600M series card and I am attempting to use it in Ubuntu 12.10. I have tried all of the steps listed on many websites including the PPA workaround instructions from above. Those instructions cause it to boot in low graphics mode. I have also tried downloading version 12.10 and 12.11 beta drivers directly from the catalyst website, but I get the same results.

Is there anything I can do to help?

Nick Andrik (andrikos) wrote :

@Eric
If this solution does not work for you, please open a new report where
we can check your problem.

Thanks,
Nikos

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:9.000-0ubuntu5

---------------
fglrx-installer-updates (2:9.000-0ubuntu5) raring; urgency=low

  * debian/control:
    - Conflict/replace/provide new nvidia flavours.
    - Depend on other flavours of kernel headers.
  * debian/10fglrx.in:
    - Fix path for powerxpress (LP: #1068661). Thanks
      to Nick Andrik and Lu Xingzhe for suggesting
      the fix.

  [ Benjamin Kerensa ]
  * debian/control:
    - Add ${misc:Depends} depends as needed.
 -- Alberto Milone <email address hidden> Fri, 07 Dec 2012 15:55:20 +0100

Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → Fix Released
Nick Andrik (andrikos) on 2012-12-07
summary: - 1002:6740 Unity does not load after installing fglrx-installer-updates
- Radeon HD 6700M Series w/ 8086:0116 Intel Integrated Card
+ Hybrid ATI/Intel GPU systems do not work after fglrx upgrade

As I said before, I'm marking this bug as a duplicate of:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/1068404
since there is strong indication for that.

Till the original reporter comes back and indicates that the workaround of the other bug is not working for him, then I believe this should be the case

summary: - Hybrid ATI/Intel GPU systems do not work after fglrx upgrade
+ 1002:6740 Unity does not load after installing fglrx-installer-updates
+ Radeon HD 6700M Series w/ 8086:0116 Intel Integrated Card
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.